SUSE SLES12 Security Update : slurm_20_02 (SUSE-SU-2022:3477-1)

high Nessus Plugin ID 165614

Language:

Synopsis

The remote SUSE host is missing one or more security updates.

Description

The remote SUSE Linux SLES12 host has packages installed that are affected by multiple vulnerabilities as referenced in the SUSE-SU-2022:3477-1 advisory.

- SchedMD Slurm 21.08.x through 20.11.x has Incorrect Access Control that leads to Information Disclosure.
(CVE-2022-29500)

- SchedMD Slurm 21.08.x through 20.11.x has Incorrect Access Control that leads to Escalation of Privileges and code execution. (CVE-2022-29501)

- A Incorrect Default Permissions vulnerability in the packaging of the slurm testsuite of openSUSE Factory allows local attackers with control over the slurm user to escalate to root. This issue affects: openSUSE Factory slurm versions prior to 22.05.2-3.3. (CVE-2022-31251)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://bugzilla.suse.com/1186646

https://bugzilla.suse.com/1199278

https://bugzilla.suse.com/1199279

https://bugzilla.suse.com/1201674

http://www.nessus.org/u?ed0f8058

https://www.suse.com/security/cve/CVE-2022-29500

https://www.suse.com/security/cve/CVE-2022-29501

https://www.suse.com/security/cve/CVE-2022-31251

Plugin Details

Severity: High

ID: 165614

File Name: suse_SU-2022-3477-1.nasl

Version: 1.2

Type: local

Agent: unix

Published: 10/1/2022

Updated: 10/1/2022

Supported Sensors: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 9

Temporal Score: 6.7

Vector: AV:N/AC:L/Au:S/C:C/I:C/A:C

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2022-29501

CVSS v3

Risk Factor: High

Base Score: 8.8

Temporal Score: 7.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:libnss_slurm2_20_02, p-cpe:/a:novell:suse_linux:libpmi0_20_02, p-cpe:/a:novell:suse_linux:libslurm35, p-cpe:/a:novell:suse_linux:perl-slurm_20_02, p-cpe:/a:novell:suse_linux:slurm_20_02, p-cpe:/a:novell:suse_linux:slurm_20_02-auth-none, p-cpe:/a:novell:suse_linux:slurm_20_02-config, p-cpe:/a:novell:suse_linux:slurm_20_02-config-man, p-cpe:/a:novell:suse_linux:slurm_20_02-devel, p-cpe:/a:novell:suse_linux:slurm_20_02-doc, p-cpe:/a:novell:suse_linux:slurm_20_02-lua, p-cpe:/a:novell:suse_linux:slurm_20_02-munge, p-cpe:/a:novell:suse_linux:slurm_20_02-node, p-cpe:/a:novell:suse_linux:slurm_20_02-pam_slurm, p-cpe:/a:novell:suse_linux:slurm_20_02-plugins, p-cpe:/a:novell:suse_linux:slurm_20_02-slurmdbd, p-cpe:/a:novell:suse_linux:slurm_20_02-sql, p-cpe:/a:novell:suse_linux:slurm_20_02-sview, p-cpe:/a:novell:suse_linux:slurm_20_02-torque, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 9/30/2022

Vulnerability Publication Date: 5/5/2022

Reference Information

CVE: CVE-2022-29500, CVE-2022-29501, CVE-2022-31251

SuSE: SUSE-SU-2022:3477-1